<script setup>
// imports
import PageHeader from '@/components/base/PageHeader.vue'
import ButtonComponent from '@/components/base/ButtonComponent.vue'
import {toast} from "vue3-toastify";
import { useHead } from '@vueuse/head'

//methods
const contactFormSubmitHandler = (values, { resetForm }) => {
  toast('this is a test, see logs :D' , {type : 'info'})
  console.log(values)
  resetForm()
}

//head
useHead({
  title: 'Dolphino challenge | Contact',
  meta: [
    {
      name: `description`,
      content: 'You can contact us in this page'
    },
    {
      name: 'keywords',
      content: 'shop,product,mobile,laptop,tablet'
    },
    {
      meta: 'og:title',
      content: 'Dolphino challenge | Contact'
    },
    {
      meta: 'og:site_name',
      content: 'Dolphino challenge'
    },
    {
      meta: 'url',
      content: 'https://test.com'
    },
    {
      meta: 'og:description',
      content: 'You can contact us in this page'
    },
    {
      meta: 'og:type',
      content: 'website'
    },
    {
      meta: 'og:image',
      contetn: 'https://address-of-site-logo.com'
    }
  ]
})
</script>

<template>
  <!--page header-->
  <PageHeader title="Contact" description="We are here to help you" />

  <!--contact form-->
  <vee-form
    @submit="contactFormSubmitHandler"
    class="mt-10 flex flex-col gap-4"
    v-slot="{ errors }"
  >
    <div class="grid grid-cols-1 sm:grid-cols-3 gap-4">
      <!--email-->
      <div>
        <label class="form-label">Email <span>*</span></label>
        <vee-field
          name="email"
          type="text"
          :class="!!errors.email && '!border-rose-400'"
          class="form-input"
          rules="email|required"
          placeholder="Enter your email"
        />
        <vee-error-message name="email" class="form-error" />
      </div>

      <!--website-->
      <div>
        <label class="form-label">Website <span>*</span></label>
        <vee-field
          name="website"
          type="text"
          :class="!!errors.website && '!border-rose-400'"
          class="form-input"
          :rules="{
            required: true,
            regex:
              /^((https?|ftp|smtp):\/\/)?(www.)?[a-z0-9]+(\.[a-z]{2,}){1,3}(#?\/?[a-zA-Z0-9#]+)*\/?(\?[a-zA-Z0-9-_]+=[a-zA-Z0-9-%]+&?)?$/
          }"
          placeholder="Enter your website address"
        />
        <vee-error-message name="website" class="form-error" />
      </div>

      <!--phone | persian phone number validation-->
      <div>
        <label class="form-label">Phone <span>*</span></label>
        <vee-field
          name="phone"
          type="text"
          :class="!!errors.phone && '!border-rose-400'"
          class="form-input"
          :rules="{
            required: true,
            regex:
              /^(?:(?:0|98|\+98|\+980|0098|098|00980)?(9\d{9})|[^@ \t\r\n]+@[^@ \t\r\n]+\.[^@ \t\r\n]+)$/
          }"
          placeholder="Enter your phone number"
        />
        <vee-error-message name="phone" class="form-error" />
      </div>
    </div>

    <!--your message-->
    <div>
      <label class="form-label">Message <span>*</span></label>
      <vee-field
        name="message"
        type="text"
        as="textarea"
        cols="30"
        rows="10"
        :class="!!errors.message && '!border-rose-400'"
        class="form-input"
        rules="required|min:75"
        placeholder="Enter your Message"
      />
      <vee-error-message name="message" class="form-error" />
    </div>

    <div class="flex max-sm:flex-col items-center justify-between gap-4">
    <div class="relative">
      <div class="flex items-center gap-1">
      <vee-field name="terms" id="terms" type="checkbox" as="input" rules="required:true" :value="true" />
      <label class="form-label mt-1" for="terms">
        I acknowledge the receipt of the <router-link to="/privacy" title="Privacy Policy" class="text-primary">Privacy Policy</router-link>
      </label>
    </div>

    <span v-if="errors.terms" class="form-error sm:absolute -bottom-5 max-sm:block max-sm:text-center">You should read our Privacy Policy section</span>
  </div>

    <ButtonComponent type="submit" title="Submit" class="!ml-auto !block w-full sm:w-fit">
      Submit
    </ButtonComponent>
  </div>

  </vee-form>
</template>
